Removes attribute

- « DOMElement::removeAttributeNode

- DOMElement::replaceChildren »

- PHP Manual
- DOMElement
- Removes attribute

# DOMElement::removeAttributeNS

(PHP 5, PHP 7, PHP 8)

DOMElement::removeAttributeNS — Removes attribute

### Description

public DOMElement::removeAttributeNS(?string `$namespace`, string `$localName`): void

Removes attribute `localName` in namespace `namespace` from the element.

### Parameters

`namespace`

  The namespace URI.

`localName`

  The local name.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

### See Also

- DOMElement::hasAttributeNS() - Checks to see if attribute exists
- DOMElement::getAttributeNS() - Returns value of attribute
- DOMElement::setAttributeNS() - Adds new attribute